Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 255542 - dev-python/pygobject-2.16.0 fails to build with libtool-1
Summary: dev-python/pygobject-2.16.0 fails to build with libtool-1
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Development (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo Linux Gnome Desktop Team
URL:
Whiteboard:
Keywords:
: 256059 257553 (view as bug list)
Depends on: 257399
Blocks:
  Show dependency tree
 
Reported: 2009-01-19 19:25 UTC by R Bar-On
Modified: 2009-02-07 14:46 UTC (History)
6 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build log (build.log,18.23 KB, text/plain)
2009-01-19 19:25 UTC, R Bar-On
Details

Note You need to log in before you can comment on or make changes to this bug.
Description R Bar-On 2009-01-19 19:25:32 UTC
dev-python/pygobject-2.16.0 fails to compile.  Build log attached

Reproducible: Always

Steps to Reproduce:




emerge --info: 

Portage 2.2_rc23 (default/linux/amd64/2008.0/desktop, gcc-4.3.2, glibc-2.7-r2, 2.6.28-zen1 x86_64)
=================================================================
System uname: Linux-2.6.28-zen1-x86_64-Intel-R-_Core-TM-2_Duo_CPU_T9300_@_2.50GHz-with-glibc2.2.5
Timestamp of tree: Mon, 19 Jan 2009 18:15:02 +0000
ccache version 2.4 [enabled]
app-shells/bash:     3.2_p39
dev-java/java-config: 1.3.7-r1, 2.1.6-r1
dev-lang/python:     2.5.2-r7
dev-util/ccache:     2.4-r7
dev-util/cmake:      2.6.2-r1
sys-apps/baselayout: 1.12.11.1
sys-apps/sandbox:    1.2.18.1-r2
sys-devel/autoconf:  2.13, 2.63
sys-devel/automake:  1.5, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.2
sys-devel/binutils:  2.18-r3
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   1.5.26
virtual/os-headers:  2.6.27-r2
ACCEPT_KEYWORDS="amd64"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -O2 -pipe -fomit-frame-pointer"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/kde/4.2/env /usr/kde/4.2/share/config /usr/kde/4.2/shutdown /usr/share/config /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/revdep-rebuild /etc/terminfo /etc/texmf/web2c /etc/udev/rules.d"
CXXFLAGS="-march=native -O2 -pipe -fomit-frame-pointer"
DISTDIR="/var/portage/distfiles"
FEATURES="ccache distlocks fixpackages parallel-fetch preserve-libs protect-owned sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://gentoo.osuosl.org/"
LC_ALL="en_US.UTF-8"
LDFLAGS="-Wl,-O1"
LINGUAS="en"
MAKEOPTS="-j3 -l3"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/portage/local/layman/desktop-effects /usr/portage/local/layman/java-overlay /usr/portage/local/layman/zen-overlay /usr/portage/local/layman/kde-testing /usr/local/portage"
SYNC="rsync://rsync.namerica.gentoo.org/gentoo-portage"
USE="X aac acl acpi alsa amd64 bash-completion berkdb bluetooth branding bzip2 cairo cdr cli cracklib crypt cups dbus dri dvd dvdr dvdread encode esd fam fortran gdbm gif glitz gnutls gpm gstreamer gtk hal iconv ieee1394 ipw4965 isdnlog jpeg kde4 kdeprefix ldap libnotify mad midi mikmod mmx mp3 mpeg mudflap multilib ncurses nls nognome nptl nptlonly ogg opengl openmp pam pcre pdf perl png ppds pppd python qt3support qt4 quicktime readline realmedia reflection samba sdl semantic-desktop session spell spl sse sse2 ssl ssse3 startup-notification svg sysfs tcpd tetex theora tiff truetype type1 unicode usb vorbis wmp x264 xcb xcomposite xml xorg xulrunner xv xvid zlib" ALSA_CARDS="hda-intel" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse synaptics evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en" USERLAND="GNU" VIDEO_CARDS="intel vesa"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LANG, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 1 R Bar-On 2009-01-19 19:25:58 UTC
Created attachment 179012 [details]
build log
Comment 2 Gilles Dartiguelongue gentoo-dev 2009-01-19 20:44:16 UTC
this is due to libtool-1 + eautoreconf.
Comment 3 Martin Berkemeier 2009-01-20 19:41:31 UTC
(In reply to comment #2)
> this is due to libtool-1 + eautoreconf.
> 

means what? I have this error too.
Comment 4 Brian Johnson 2009-01-20 19:57:40 UTC
(In reply to comment #3)
> (In reply to comment #2)
> > this is due to libtool-1 + eautoreconf.
> > 
> 
> means what? I have this error too.
> 

echo "sys-devel/libtool ~x86" >> /etc/portage/package.keywords && emerge -av libtool
Comment 5 R Bar-On 2009-01-20 20:24:51 UTC
Bad idea.  This should be fixed for x86/amd64.  No stable package should require unstable anything.
Comment 6 Mart Raudsepp gentoo-dev 2009-01-20 21:16:50 UTC
Except pygobject-2.16.0 is NOT marked stable.
That said, it will be stabilized before libtool-2 in all likelihood, so thanks for the bug report we'll know to avoid this breakage for stable systems by getting it to work with libtool-1 too.
Comment 7 Amit Prakash Ambasta 2009-01-21 02:53:41 UTC
Fails here as well.. upgraded to libtool 2.2.6a as resolution
Comment 8 Serkan Kaba (RETIRED) gentoo-dev 2009-01-23 07:11:43 UTC
*** Bug 256059 has been marked as a duplicate of this bug. ***
Comment 9 KJ 2009-01-23 09:08:27 UTC
(In reply to comment #7)
> Fails here as well.. upgraded to libtool 2.2.6a as resolution
> 

same thing unless libtool is upgraded
Comment 10 Pryka 2009-01-23 11:56:34 UTC
So there's is no other solution? 

Only update the libtool?
Comment 11 Marek Chmielewski 2009-01-23 17:26:35 UTC
(In reply to comment #10)
> So there's is no other solution? 
> 
> Only update the libtool?
> 

You can downgrade dev-python/pygobject to stable version.
Comment 12 KJ 2009-01-23 18:29:43 UTC
(In reply to comment #11)
> (In reply to comment #10)
> > So there's is no other solution? 
> > 
> > Only update the libtool?
> > 
> 
> You can downgrade dev-python/pygobject to stable version.
> 
it wasn't a choice to unmask pygobject you know! it's because of reverse-dependency to other packages like libgweather

Comment 13 John Klehm 2009-01-24 04:24:46 UTC
I can confirm this bug on x86.  

The ebuild for dev-python/pygobject-2.16.0 should depend on >=sys-devel/libtool-2.0.0

Comment 14 Mart Raudsepp gentoo-dev 2009-01-26 03:46:18 UTC
We don't really support mixing arch with ~arch...
So if you want to have GNOME-2.24 from ~arch, you get to have libtool-2 from ~arch.
That said, as we will probably need to go stable with pygobject-2.16 before libtool-2 does, we will fix this bug by the time pygobject-2.16 is up for stabilization, and it is not a priority before then. (we have more important things to do first, like stabilize gtk+-2.14 and co and fix the bugs that need to be fixed before that)
Comment 15 Pryka 2009-01-26 13:16:33 UTC
Ok :P no problem then 
Comment 16 Gilles Dartiguelongue gentoo-dev 2009-02-04 09:18:48 UTC
*** Bug 257553 has been marked as a duplicate of this bug. ***
Comment 17 Gilles Dartiguelongue gentoo-dev 2009-02-07 14:46:36 UTC
+  07 Feb 2009; Gilles Dartiguelongue <eva@gentoo.org>
+  pygobject-2.16.0.ebuild:
+  Fix building on libtool-1 systems, bug #255542.
+


fixed without a bump. Thanks for reporting.